<?php
ini_set('memory_limit', '-1');
class ListacitasA extends CI_Controller
{
	
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('agenda/administrador/agendaA_model');
		$this->load->library(array('session','form_validation'));
	
	}

	public function index(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

	$this->db->select('*');
	$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
	$this->db->order_by('NombreFranquicia','asc');
	$data['consulta']=$this->db->get('agenda')->result();


		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$data['ReFranq']=$this->agendaA_model->BuscarFranq(); 
		$this->load->view('agenda/administrador/agendaA_view',$data);
		$this->load->view('layout/footer');


	}}

	public function getEventos(){
		$r = $this->agendaA_model->getEventos();
		echo json_encode($r);
	}

	public function getEventos1(){
		$r = $this->agendaA_model->getEventos();
		echo json_encode($r);
	}

	// public function updEvento(){
	// 	$param['IdAgenda'] = $this->input->post('IdAgenda');
	// 	$param['Fecha'] = $this->input->post('Fecha');
	// 	//$param['fecfin'] = $this->input->post('fecfin');

	// 	$r = $this->agendaA_model->updEvento($param);

	// 	echo $r;
	// }

	public function deleteEvento(){

		$id = $this->input->post('IdAgenda');
		$r = $this->agendaA_model->deleteEvento($id);
		echo $r;
	}




	public function agregar(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$datos['ReCabina']=$this->agendaA_model->BuscarCabina();
		$datos['ReFranquicia']=$this->agendaA_model->BuscarFranquicia();
		$datos['ReUsuario']=$this->agendaA_model->BuscarUsuario();
		$datos['ReCategoria']=$this->agendaA_model->BuscarCategoria();
		$datos['ReCliente']=$this->agendaA_model->BuscarCliente();
		$datos['ReServicios']=$this->agendaA_model->BuscarServicios();
		$datos['RePromocionesInstitucionales']=$this->agendaA_model->BuscarPromocionesinstitucionales();
		$datos['RePromocionesLocales']=$this->agendaA_model->BuscarPromocionesLocales();
		$datos['ReEstatusCita']=$this->agendaA_model->BuscarEstatusCita();
		$this->load->view('agenda/administrador/agregarcitaA_view',$datos);
		$this->load->view('layout/footer');

	
	}
}
 //Esta funcion se uiliza para la vista agenda agregarCita_view
	public function guardar(){

		

		$parametro['Clientes_IdClientes']= $this->input->post('txtcliente');
		$parametro['Categoria_IdCategoria']= $this->input->post('txtcategoria');
		$parametro['Promociones_IdPromociones']= $this->input->post('txt_promocionesinstitucionales');
		$parametro['Promociones_IdPromociones']= $this->input->post('txt_promocioneslocales');
		$parametro['ServiciosFranquicias_IdServiciosFranquicias']= $this->input->post('txt_servicios');
		$parametro['Fecha']= $this->input->post('txtfecha');
		$parametro['HoraInicio']= $this->input->post('txthorai');
		$parametro['HoraFin']= $this->input->post('txthoraf');
		$parametro['Cabina_IdCabina']= $this->input->post('txt_cabina');
		//$parametro['EstadoCita']= $this->input->post('txtstatus');
		$parametro['Observaciones']= $this->input->post('txt_observaciones');
		$parametro['Franquicias_IdFranquicias']= $this->input->post('txt_franquicia');
		$parametro['Usuarios_IdUsuarios']= $this->input->post('txtusuario');
	


		$this->agendaA_model->guardar($parametro);

		redirect('agenda/administrador/listacitasA', 'refresh');

	}






	public function updEvento2(){
		$param['id'] = $this->input->post('id');
		$param['nome'] = $this->input->post('nom');
		$param['clientes'] = $this->input->post('clientes');
		$param['categoria'] = $this->input->post('categoria');
		$param['promociones'] = $this->input->post('promociones');
		$param['servicios'] = $this->input->post('servicios');
		$param['fecha'] = $this->input->post('fecha');
		$param['horai'] = $this->input->post('horai');
		$param['horaf'] = $this->input->post('horaf');
		//$param['estado'] = $this->input->post('estado');
		$param['observaciones'] = $this->input->post('observaciones');
		$param['usuario'] = $this->input->post('usuario');

		$r = $this->agendaA_model->updEvento2($param);

		echo $r;

		$this->agendaA_model->updEvento2($param);

	 	redirect('agenda/administrador/listacitasA', 'refresh');
	}

	public function buscarporfranquicia (){ 
	if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->db->select('*');
	$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->agendaA_model->buscarporfranquicia(trim($query));
			
			if ($result != FALSE){
				$data = array(
					'result' => $result,
					
);
			}else  {
				$data = array('result' => '');
			}	
		}else{
			$data = array('result' => '');
		}

		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$data['ReFranq']=$this->agendaA_model->BuscarFranq();
		$this->load->view('agenda/administrador/buscarAgendaA_view', $data);
		$this->load->view('layout/footer');
	}
}


  


}